Subject: bug#60568: [FR] 30.0.50; Help buffers and function bodies for generated functions

From: Gregory Heytings <[email-masked]>
Date: Sat, 07 Jan 2023 09:42:51 +0000

>> If you look at the code of `find-func.el` you'll see that we already 
>> rely on heuristics, so it seems like a natural complement. But I agree 
>> that `definition-name` is usually preferable since it's more reliable. 
>> Still most people don't know `definition-name`, so it can still be 
>> helpful.
>
> Maybe people will know better if definition-name would be documented.
>

I think the place where it should be documented is the suggested *Help* 
screen, with a sentence like "To ensure an accurate identification of the 
place where `frobnicate' was defined, the definition-name slot of the 
`frobnicate' symbol should be set ."